package com.iformall.service;

import java.util.*;
import com.github.pagehelper.PageInfo;
import com.iformall.domain.po.WxCUser;
import com.iformall.domain.po.WxCoupon;
import com.iformall.domain.po.WxOrder;
import com.iformall.domain.po.WxOrderPress;

public interface WxOrderPressService {

	/**
     * 根据实体查询分页列表
     *
     * @param record
     * @param pageIndex
     * @param pageSize
     * @return
     */
	PageInfo<WxOrderPress> listAsPage(WxOrderPress record, Integer pageIndex, Integer pageSize);
	
	/**
     * 根据Id获得实体
     *
     * @param id
     * @return
     */
    WxOrderPress getById(Long id);
    
        /**
     * 保存或更新实体
     *
     * @param record
     */
    void saveOrUpdate(WxOrderPress record);

    /**
     * 根据Id删除实体
     *
     * @param id
     */
    void deleteById(Long id);

    /**
     * 加入砍价
     * @param order
     * @param coupon
     * @param cUserId
     */
    void pressCouponJoin(WxOrder order, WxCoupon coupon, Long cUserId);

    /**
     * 检查用户砍价状态
     * @param order
     * @param cUserId
     */
    int pressCouponStatus(WxOrder order, Long cUserId);
    
	
	

	
	
	
	
}
